Opened 10 years ago

Closed 10 years ago

#61 closed defect (fixed)

libcaca failes to compile with freeglut-2.6*

Reported by: guest Owned by: Sam Hocevar
Priority: major Milestone:
Component: core Version: SVN
Keywords: Cc: steffen@hauihau.de
Product: libcaca

Description

As reported in http://bugs.gentoo.org/show_bug.cgi?id=282573, libcaca failes to compile with freeglut-2.6, as freeglut itself does not need libGLU.so anymore. As libcaca uses it, it should add '-lGLU' to the GL_LIBS. A patch, which solved it for me as available at http://mirror.hamakor.org.il/pub/mirrors/gentoo-portage/media-libs/libcaca/files/libcaca-0.99_beta16-freeglut-2.6.patch

Best regards, Steffen Hau

Change History (1)

comment:1 Changed 10 years ago by Sam Hocevar

Resolution: fixed
Status: newclosed

Fixed in [4144].

Note: See TracTickets for help on using tickets.